<template>
  <div style="height: 100vh">
    <div class="root">
      <div class="paper">
        <div class="row">
          <h3
            class="col-12"
            style="font-size: 2.4rem; color: #fff; text-align: center"
          >Iniciar sesion</h3>
        </div>
        <FormulateForm v-model="formLogin" @submit="login" name="form">
          <div class="row">
            <div class="col-12">
              <FormulateInput
                class="col-12"
                element-class
                label-class="formulate-input-label text-white"
                error-class="formulate-input-error text-danger"
                type="text"
                name="email"
                label="Email"
                placeholder="Email"
                validation="required|email"
                :validation-messages="{
                required: 'El Email es requerido',
                email: 'El Email no es valido',
              }"
              />
            </div>
            <div class="col-12 pt-3">
              <FormulateInput
                class="col-12"
                element-class
                label-class="formulate-input-label text-white"
                error-class="formulate-input-error text-danger"
                type="password"
                name="password"
                label="Password"
                placeholder="Password"
                validation="required"
                :validation-messages="{
                required: 'El password es requerido',
              }"
              />
            </div>
          </div>
          <div class="row">
            <button class="btn btn-secondary btn-block m-3">Login</button>
          </div>
          <pre>{{this.user}}</pre>
        </FormulateForm>
      </div>
    </div>
  </div>
</template>

<script>
import { auth } from "@/conexion";
import uuid from "uuid";
import swal from 'sweetalert';

export default {
    // created(){
    //     auth.onAuthStateChanged((user) => {
    //         if(user){
    //             this.$router.push('products');
    //         }
    //     });
    // },
  data() {
      return {
        formLogin: null,
        user: null
      }
  },
  methods: {
    login() {
      auth
        .signInWithEmailAndPassword(this.formLogin.email, this.formLogin.password)
        .catch(({error})=> {
            console.log(error);
          const errorCode = error.code;
          const errorMessage = error.message;
          swal(errorMessage,'', 'error');
        });
    }
  }
};
</script>
<style scoped>
.root {
  flex-grow: 1;
  padding-top: 9rem;
  padding-bottom: 30rem;
  background: url("../../assets/img/fondo.jpg");
}
.paper {
  margin: auto;
  max-width: 400px;
  background-color: "rgba(255,255,255,1)";
}
</style>

